/* You can add global styles to this file, and also import other style files */

/*=============== Fonts ===================*/
@import url('https://fonts.googleapis.com/css?family=Poppins:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i|Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i');
/*=============== General Styling ===================*/
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License:none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video{
    margin:0;
    padding:0;
    border:0;
    font-size:100%;
    font:inherit;
    vertical-align:baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section{display:block}
body{line-height:1.6}
blockquote, q{quotes:none}
blockquote:before, blockquote:after,
q:before, q:after{
    content:'';
    content:none;
}
table{
    border-collapse:collapse;
    border-spacing:0;
}
html{overflow-x:hidden}
body{
    background-color: #DFDFDF;
    font-family:'poppins','Arial' !important;
}
body *{outline:none!important}
a{color:var(--theme-color)}
a:hover,
a:focus{
    text-decoration:none;
    outline:none;
}
input:hover,input:focus{outline:none}
i{font-style:italic}
/* ============== Custom Scrollbar ==============*/
/* width */
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}
/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
    background: #d9d9d9;
    border-radius: 8px;
    -moz-border-radius: 8px;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #c2c2c2;
}
/*Scrollbar Style for Firefox*/
* {
    scrollbar-color: #d9d9d9 #f1f1f1;
    scrollbar-width: thin;
}
/* ============== Custom Scrollbar ==============*/
:root {
    --default-transition:all 0.2s linear;
    --theme-color: #2090C5;
    --theme-light-color: #2090c524;
    --default-border:  1px solid #f1f1f1;
    --default-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.router_area > .row > *{
    width: 100%;
}
ul.nav.nav-tabs {
    display: flex;
    flex-wrap: nowrap;
    overflow: auto;
}
ul.nav.nav-tabs .nav-item {
    margin: 0;
    flex:auto;
    text-align:center;
}

.leftmenu_tabs {
    height: 100%;
    display: flex;
    flex-direction: column;
    ul.nav.nav-tabs {
        border: 0;
        background: #f9f9f9;
        a.nav-link {
            padding: 7px 3px;
            border: 0;
            font-size: 13px;
            color: #929292;
            font-weight: 500;
            border-radius: 0;
            transition: all 0.1s;
        }
        .nav-item.active a{
            background: var(--theme-light-color);
            color: var(--theme-color);
        }
    }
    .tab-content {
        flex: auto;
        .tab-pane{
            height:100%;
        }
    }
}

.hide_selectors ul.nav.nav-tabs {
    display: none;
}
.icon_btn {
    border: 0;
    font-size: 15px;
    line-height: 1;
    padding: 5px;
    width: 25px;
    height: 25px;
    text-align: center;
    border-radius: 4px;
    background: var(--theme-light-color);
    color: var(--theme-color);
}

.view_panel_handle {
    position: absolute;
    left: 100%;
    top: 50%;
    z-index: 1;
    background: #FFF;
    -webkit-writing-mode: vertical-lr;
    writing-mode: vertical-lr;
    transform: translateY(-50%);
    display: flex;
    border-radius: 0 4px 4px 0;
    overflow: hidden;
    font-size: 15px;
    align-items: center;
    padding-bottom: 20px;
    cursor: pointer;
    border-top: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    box-shadow: 2px 0 4px rgba(0,0,0,0.1);   
    span {
        background:var(--theme-color);
        color: #FFF;
        padding: 8px 10px;
        margin-bottom: 15px;
        writing-mode: initial;
        font-size: 13px;
    }
}
.view_panel_handle.reverse {
    left: auto;
    right: 100%;
    border-right: 0;
    border-left: var(--default-border);
    box-shadow: 2px 0 4px rgba(0, 0, 0, 0.1);
    transform: rotate(180deg);
    padding-top: 0;
    padding-bottom: 20px;
}

gridster-item app-standard-widget .widget {margin: 0!important;}



// Theme Tabs Code Starts Here //
.theme_tab ul.nav{
    border: 0;
    display: flex;
    flex: auto;
}
.theme_tab ul.nav li a {
    font-size: 13px;
    font-weight: 600;
    color: #333;
    border: 0;
    line-height: 1.4;
    padding: 10px 15px;
    position: relative;
}
.theme_tab ul.nav li{flex: auto}
.theme_tab ul.nav li a:before {content: "";position: absolute;left: 50%;bottom: 0;width: 0;height: 2px;background: var(--theme-color);transition: var(--default-transition);}
.theme_tab ul.nav li a.active:before {
    left: 0;
    width: 100%;
}
.theme_tab ul.nav li a.active{color: var(--theme-color)}
// Theme Tabs Code Ends Here //


// For Optimization Analaysis Panel Starts Here
.compact .dx-searchbox .dx-texteditor-input {
    min-height: 20px;
    padding: 4px 8px 4px 34px;
    font-size: 12px;
    color: #444;
}
.compact .dx-searchbox .dx-placeholder:before {
    padding: 1px 9px 3px 34px;
    font-size: 13px;
    font-family: poppins;
}
.compact .dx-searchbox .dx-icon-search {
    height: 100%;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    top: 0;
    font-size: 14px;
}
.compact .dx-treeview-search {
    margin: -10px -10px 5px;
    border-radius: 0;
    border: 0;
    background: #f0f1f3;
    border-bottom: 1px solid #ddd;
    border-top: 1px solid #ddd;
}
.compact .dx-checkbox-icon {width: 15px;height: 15px;}
.compact .dx-treeview-item-with-checkbox .dx-treeview-item {
    padding-left: 24px;
    line-height: 1.2;
    min-height: 0;
    font-size: 13px;
    font-weight: 500;
    font-family: Poppins;
    padding-top: 0;
    padding-bottom: 0;
    min-height: 26px;
    display: flex;
    align-items: center;
}
.compact .dx-template-wrapper.dx-item-content.dx-treeview-item-content {
    width: 100%;
}
.compact .dx-treeview-toggle-item-visibility {
    font-size: 19px;
    display: flex;
    line-height: 26px;
    left: 0;
    height: 20px;
}
.compact .dx-checkbox-checked .dx-checkbox-icon:before {
    font-size: 10px;
}
.compact ul.dx-treeview-node-container > li[area-level = "1"] {
    border-bottom: 1px solid;
}
.compact .dx-treeview-node-container li[aria-level="1"] {
    border-bottom: 1px solid #ddd;
    position: relative;
    margin-bottom: 5px;
    padding-bottom: 5px;
}
.dx-widget input, .dx-widget textarea {
    font-family: Poppins;
}
// For Optimization Analaysis Panel Ends Here



// For DevExtreme Controls 
.dx-overlay-wrapper, .dx-widget{
    font-family: Poppins;
}
.dx-texteditor.dx-editor-outlined {
    height: 30px !important;
}
.dx-texteditor-input {
    height: 30px !important;
    min-height: 30px;
}
.dx-placeholder {
    line-height: 1;
    font-family: poppins;
    font-size: 12px;
}
.dx-selectbox .dx-texteditor-input:read-only {
    opacity: 1;
    color: #565656;
}
dx-button.small_btn .dx-button-content {
    padding: 5px 10px;
    font-size: 12px;
}
dx-button.custom-btn.dx-button.dx-button-default{
    background: var(--theme-color);
}
dx-button.custom-btn.dx-button {
    border-radius: 3px;
    .dx-button-content {
        padding: 5px 10px;
        line-height: 13px;
        font-size: 13px;
        display: flex;
        align-items: center;
        min-height: 30px;

        .dx-icon {
            width: 14px;
            height: 14px;
            font-size: 15px;
            line-height: 1;
        }
    }
}



.no_data_icon {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    position: absolute;
    top: 0;
    width: 100%;
    left: 0;
    font-size: 60px;
    opacity: 0.2;
}
/******************************************/
.p-l-r-0{
    padding-right: 0px !important; 
    padding-left: 0px !important;
}


